#################################################################################
# greetplus.pl                                                                  #
#################################################################################
# Written for YaBB 2.x															#
# Author: Brian Longo (aka, Mongo)												#
# email: webamster@eyeontoccoa.com												#
# http://www.eyeontoccoa.com/mods/												#
# Version: 1.2																	#
# Date: December 8, 2005														#
# Version History: 																#
# 1.0 - Original Release														#
# 1.1 - Fixed the way this file accounts for the users' time.  $myhour accounts #
#       for the users' and board's GMT offsets.                                 #
# 1.2 - added subroutine to hold the correct $myhour throughout the whole board.#
#       Before, the time would be wrong in any board except the main index.     #
#################################################################################
# Originally released for YaBB 1.x by Ironwing.                                 #
# This file and coding for YaBB 2.x by Mongo.                                   #
################################################################################# 

if ($action eq 'detailedversion') { return 1; }

LoadLanguage("greetplus");

sub hold_time {
   $myhour = $hour + ${$uid.$username}{'timeoffset'} - $timeoffset;  ## Must adjust users' hour based upon board's and users' GMT offsets
   if ($myhour > 24){$myhour = $myhour - 24;}
   if ($myhour < 0){$myhour = $myhour + 24;}
}

sub greet_reg_disable {
	if (!$iamguest) {
		if ($myhour < 12) { $greet_message = qq~$greettxt{'1'}~; }
		elsif ($myhour < 17) { $greet_message = qq~$greettxt{'2'}~; }
		else { $greet_message = qq~$greettxt{'3'}~; }
		&get_bday;
		if ($isbday eq "yes" ){$greet_message = $greettxt{'4'};}
	} else {
		$greet_message = "$maintxt{'248'}";
	}
	$yyuname = $iamguest ? qq~$maintxt{'248'} $maintxt{'28'}. $maintxt{'249'} <a href="$scripturl?action=login">$maintxt{'34'}</a>.~ : qq~$greet_message $realname, ~;
}

sub greet_reg_enable {
	if (!$iamguest) {
		if ($myhour < 12) { $greet_message = qq~$greettxt{'1'}~; }
		elsif ($myhour < 17) { $greet_message = qq~$greettxt{'2'}~; }
		else { $greet_message = qq~$greettxt{'3'}~; }
		&get_bday;
		if ($isbday eq "yes" ){$greet_message = $greettxt{'4'};}
	} else {
		$greet_message = "$maintxt{'248'}";
	}
	$yyuname = $iamguest ? qq~$maintxt{'248'} $maintxt{'28'}. $maintxt{'249'} <a href="$scripturl?action=login">$maintxt{'34'}</a> $maintxt{'377'} <a href="$scripturl?action=register">$maintxt{'97'}</a>.~ : qq~$greet_message $realname, ~;
}

sub get_bday {
    if (${$uid.$username}{'bday'} ne '') {
	   ($usermonth, $userday, $useryear) = split(/\//, ${$uid.$username}{'bday'});
	   if ($usermonth == $mon_num && $userday == $mday) { $isbday = "yes"; }
	}
}

1;