<id>
Greet Plus for YaBB2.x
</id>

<version>
1.2
</version>

<mod info>
Originally coded for YaBB 1 by Ironwing.  Ported to YaBB 2 by Brian Longo (aka, Mongo).

This mod will work on YaBB 2.0 Final and YaBB 2.1.

**Overview:

This mod substitutes "Hey, User" by "Good Morning", "Good Afternoon" or "Good Evening".
On a member's birthday the greeting is substituted with "Happy Birthday".

Credits:
The morning, afternoon, evening portion of this mod is based on Pyrrhon's Greet mod, version 1.
http://www.philtalk.de/

**Installation Instructions:

1) As always, back up your current board first!
2) Remove any previous version of this mod.
3) Run this mod.
4) Upload the modded files and make sure their CHMOD settings are correct.
5) Upload the greetplus.lng file to your Languages/English directory and CHMOD it to 777 (like the rest of the .lng files in that directory).
6) Upload the greetplus.pl file to your Sources directory and CHMOD it to 755 (like the rest of the files in that directory).

**Modifies the following files:

-- YaBB.pl
-- Admin/ModList.pl
-- Sources/Subs.pl

**Please report any comments, questions, problems and/or bugs to webmaster@eyeontoccoa.com

Version History:

## 1.0 ##
-- First release (rewrote original code to work with YaBB 2.x)

## 1.1 ##
-- Fixed the variable for the way the greetplus.pl file reads the users' hour.  New variable accounts for board's and users' GMT offsets.
-- Fixed syntax mistake where the text "Login" was missing from guest's header.

## 1.2 ##
-- Fixed major bug where the greeting would be correct on the Index board, but wrong in every other screen.
</mod info>

<author>
Ironwing (YaBB 1), Mongo (YaBB 2)
</author>

<homepage>

</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
require "$boardsdir/forum.master";
require "$sourcedir/Security.pl";
</search for>

<add after>
require "$sourcedir/greetplus.pl"; ## Greetplus Mod ##
&hold_time; ## Greetplus Mod ##
</add after>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$greet_plus = "Greet Plus|Brian Longo|This mod substitutes &quot;Hey, User&quot; by &quot;Good Morning&quot;, &quot;Good Afternoon&quot; or &quot;Good Evening&quot;.<br />On a member's birthday the greeting is substituted with &quot;Happy Birthday&quot;. Original code by Ironwing.|1.2|12/8/2005";
	push (@installed_mods, "$greet_plus");
</add before>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
	if ($regdisable) {
		$yyuname = $iamguest ? qq~$maintxt{'248'} $maintxt{'28'}. $maintxt{'249'} <a href="$scripturl?action=login">$maintxt{'34'}</a>.~ : qq~$maintxt{'247'} $realname, ~;
	} else {
		$yyuname = $iamguest ? qq~$maintxt{'248'} $maintxt{'28'}. $maintxt{'249'} <a href="$scripturl?action=login">$maintxt{'34'}</a> $maintxt{'377'} <a href="$scripturl?action=register">$maintxt{'97'}</a>.~ : qq~$maintxt{'247'} $realname, ~;
	}
</search for>

<replace>
	if ($regdisable) {
        require "$sourcedir/greetplus.pl";
        &greet_reg_disable;
	} else {
        require "$sourcedir/greetplus.pl";
        &greet_reg_enable;
	}
</replace>